Package ru.bitel.bgbilling.plugins.bonus.common.bean

# Class BonusPayment

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean
ru.bitel.bgbilling.plugins.bonus.common.bean.BonusPayment

All Implemented Interfaces:
  `Serializable`, `Idable`

public class BonusPayment extends AbstractBonusBalanceBean

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean

  `date, dateString, sum, typeId, typeTitle`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BonusPayment()`
  `BonusPayment(int id, int typeId, String typeTitle, Date date, BigDecimal sum, Date dateFrom, Date dateTo)`
  `BonusPayment(int id, int typeId, Date date, BigDecimal sum, Date dateFrom, Date dateTo)`
  `BonusPayment(int id, int typeId, Date date, BigDecimal sum, Period period)`
  `BonusPayment(int id, int typeId, Date date, BigDecimal sum, Period period, String comment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `Date`
  `getDateFrom()`
  `String`
  `getDatePeriod()`
  `Date`
  `getDateTo()`
  `void`
  `setComment(String comment)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDatePeriod(String datePeriod)`
  `void`
  `setDateTo(Date dateTo)`

  ### Methods inherited from class ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean

  `getDate, getDateString, getSum, getTypeId, getTypeTitle, setDate, setDateString, setSum, setTypeId, setTypeTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BonusPayment

    public BonusPayment()

  - ### BonusPayment

    public BonusPayment(int id, int typeId, Date date, BigDecimal sum, Date dateFrom, Date dateTo)
    Parameters:
      `id` - - ид( при добовление в базу = 0)
      `typeId` - - ид типа платежа
      `date` - - дата платежа
      `sum` - - сумма
      `dateFrom` - - активна от
      `dateTo` - - активна до

  - ### BonusPayment

    public BonusPayment(int id, int typeId, Date date, BigDecimal sum, Period period, String comment)

  - ### BonusPayment

    public BonusPayment(int id, int typeId, Date date, BigDecimal sum, Period period)
    Parameters:
      `id` - - ид( при добовление в базу = 0)
      `typeId` - - ид типа платежа
      `date` - - дата платежа
      `sum` - - сумма
      `period` - - период активности бонусов данного платежа.

  - ### BonusPayment

    public BonusPayment(int id, int typeId, String typeTitle, Date date, BigDecimal sum, Date dateFrom, Date dateTo)

- ## Method Details

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getDatePeriod

    public String getDatePeriod()

  - ### setDatePeriod

    public void setDatePeriod(String datePeriod)